## org.beepcore.beep.profile.sasl
Class PeerAbortException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.beepcore.beep.core.BEEPException
                  org.beepcore.beep.profile.sasl.SASLException
                      org.beepcore.beep.profile.sasl.PeerAbortException

All Implemented Interfaces:
  java.io.Serializable

public class PeerAbortException
extends SASLException

This exception is thrown when the library detects that the other peer has aborted the authentication sequence.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `MSG`

Constructor Summary
`PeerAbortException()`

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG

    public static final java.lang.String MSG

See Also:
  Constant Field Values

Constructor Detail

### PeerAbortException

    public PeerAbortException()

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.